Upgrade from 2.8 to 2.9

Please report bugs here!

Moderator: Thorsten

Post Reply
rav
Posts: 33
Joined: Thu Oct 20, 2005 7:23 am

Upgrade from 2.8 to 2.9

Post by rav » Thu Apr 05, 2018 5:22 pm

In the last step of the upgrade I receive following error:


Error: Please install your version of phpMyFAQ once again or send us a bug report.

DB error: Duplicate key name 'index_time'

CREATE INDEX index_time ON faqsessions (time)

Thorsten
Posts: 14640
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.8 to 2.9

Post by Thorsten » Fri Apr 06, 2018 10:36 am

Hi,

which database do you use?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

rav
Posts: 33
Joined: Thu Oct 20, 2005 7:23 am

Re: Upgrade from 2.8 to 2.9

Post by rav » Fri Apr 06, 2018 5:00 pm

I use MySQL (default DB from my hosting provider)

Did an other try:

Reinstalled all (backuped old version, installed update), tried again.

--> Error Message.
Changed in database.php
$DB["type"] = 'mysql'; --> "mysqli"

Runned updated.php --> ok.

Now error when calling PhPMyFAQ:
"
Uncaught Error: Call to a member function fetch_object() on boolean in /home/ ... /faq/inc/PMF/DB/Mysqli.php:153
Stack trace:
#0 /home/ ... /faq/inc/PMF/Faq.php(683): PMF_DB_Mysqli->fetchObject(false)
#1 /home/ ... /faq/index.php(286): PMF_Faq->getRecord(99)
#2 {main}
thrown in /home/ ... /faq/inc/PMF/DB/Mysqli.php on line 153
"


... = deleted path on my server

What now?

rav
Posts: 33
Joined: Thu Oct 20, 2005 7:23 am

Re: Upgrade from 2.8 to 2.9

Post by rav » Sat Apr 07, 2018 8:50 am

I did an other try.
1) Reinstalled backuped DB
2) Reinstalled old phpMyFAQ

3) Installed update to phpMyFaq 3.0
4) I had to change $DB["type"] = 'mysql'; --> "mysqli"
--> Updated.php successfull, last step (3 of 3) said:

DB error: Duplicate key name 'index_time'
CREATE INDEX index_time ON faqsessions (time)


Installed PHP -Version: 7.0.28

??

Thorsten
Posts: 14640
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade from 2.8 to 2.9

Post by Thorsten » Wed Apr 11, 2018 9:11 pm

Hi,

the second attempt was the right one, where did you get this error?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

rav
Posts: 33
Joined: Thu Oct 20, 2005 7:23 am

Re: Upgrade from 2.8 to 2.9

Post by rav » Thu Apr 12, 2018 5:38 am

I first tried an Update from 2.8 -> 2.9 (stable version).
After the problem I restored the db and the old script and tried 2.8 --> 3.0 with the error described.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest